Subject: [bess] Request for IANA early allocation for 'EVPN Layer 2 Attributes Control Flags' code points

From: Luc André Burdet <[email-masked]>
Date: Wed, 22 Apr 2020 14:07:16 +0000

Hello,

I would like to update the IANA registries some of our drafts use and request IANA to perform early allocations for EVPN Layer 2 Attributes Control Flags
https://www.iana.org/assignments/bgp-extended-communities/bgp-extended-communities.xhtml#evpn-layer-2-attributes-control-flags

      Sub-type    Name                                   Reference
      ----        ----------------                       -------------
      P           Advertising PE is the primary PE       RFC8214
      B           Advertising PE is the backup PE        RFC8214
      C           Control word [RFC4448] MUST be present RFC8214

  *            Left undefined.
      M (2)       Mode of operation (VLAN signaling)     draft-ietf-bess-evpn-vpws-fxc
      V (2)       VID normalisation                      draft-ietf-bess-evpn-vpws-fxc

Draft-evpn-vpws-fxc will be updated soon to include an actual request to IANA in its section 8 (IANA considerations, currently empty ;-)
I would like to propose Bit 4 be left undefined for two reasons: nibble-alignment of M,V and as a possible spot for Flow-Label signaling (RFC7432-bis) which is better suited right next to C-bit.

Nota:
I will also be submitting an errata against RFC8214. While technically section 8 is not requesting any bit-position, the ordering of requests P-B-C vs. the field definition B-P-C is confusing or at least, inconsistent. Accepted or not, I just want to highlight in an errata so that there is a clarifying statement that the field definition shall prime (over IANA ‘order’..?)
3.1<https://tools.ietf.org/html/rfc8214#section-3.1>.  EVPN Layer 2 Attributes Extended Community

            0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5

           +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

           |   MBZ                   |C|P|B|  (MBZ = MUST Be Zero)

           +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

         Name     Meaning

         ---------------------------------------------------------------

         P        If set to 1 in multihoming Single-Active scenarios, ...

         B        If set to 1 in multihoming Single-Active scenarios, ...

         C        If set to 1, a control word [RFC4448<https://tools.ietf.org/html/rfc4448>] MUST be present ...
8<https://tools.ietf.org/html/rfc8214#section-8>.  IANA Considerations

   Initial registrations are as follows:

        P      Advertising PE is the primary PE.

        B      Advertising PE is the backup PE.

        C      Control word [RFC4448<https://tools.ietf.org/html/rfc4448>] MUST be present.

Regards,
Luc André

Luc André Burdet |  Cisco  |  [email-masked]  |  Tel: +1 613 254 4814